Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.host
Class EPPHostTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.host.EPPHostTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPHostTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.host package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.host package concrete `EPPCommand`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

Constructor Summary
`EPPHostTst(java.lang.String name)` Creates a new EPPHostTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPHostMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPHostTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testHostCheck()` Unit test of `EPPHostCheckCmd`.
`void` | `testHostCreate()` Unit test of `EPPHostCreateCmd`.
`void` | `testHostDelete()` Unit test of `EPPHostDeleteCmd`.
`void` | `testHostInfo()` Unit test of `EPPHostInfoCmd`.
`void` | `testHostPendActionMsg()` Unit test of `EPPHostPendActionMsg`.
`void` | `testHostUpdate()` Unit test of `EPPHostUpdateCmd`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPHostTst

    public EPPHostTst(java.lang.String name)

  Creates a new EPPHostTst object.

  Parameters:
    `name` - DOCUMENT ME!

Method Detail

### testHostInfo

    public void testHostInfo()

  Unit test of `EPPHostInfoCmd`. The response to `EPPHostInfoCmd` is `EPPHostInfoResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testHostPendActionMsg

    public void testHostPendActionMsg()

  Unit test of `EPPHostPendActionMsg`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testHostCreate

    public void testHostCreate()

  Unit test of `EPPHostCreateCmd`. The response to `EPPHostCreateCmd` is `EPPHostExpireResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testHostDelete

    public void testHostDelete()

  Unit test of `EPPHostDeleteCmd`. The response to `EPPHostDeleteCmd` is `EPPHostExpireResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testHostUpdate

    public void testHostUpdate()

  Unit test of `EPPHostUpdateCmd`. The response to `EPPHostUpdateCmd` is `EPPResponse`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testHostCheck

    public void testHostCheck()

  Unit test of `EPPHostCheckCmd`. The response to `EPPHostCheckCmd` is `EPPHostCheckResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPHostMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPHostTst`.

  Returns:
    DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.